Skip to main content
GET
/
api-keys
List API keys
curl --request GET \
  --url https://api.platform.dakota.xyz/api-keys \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
      "user_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
      "key_suffix": "HpAb4a",
      "created_at": 1234567890
    }
  ],
  "meta": {
    "total_count": 100,
    "has_more_after": true,
    "has_more_before": false
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

limit
integer
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include starting_after=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the next page of the list. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

ending_before
string

A cursor for use in pagination. ending_before is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include ending_before=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the previous page of the list. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

created_at_from
string<date-time>

Filter API keys created at or after this ISO 8601 datetime (e.g. 2024-01-01T00:00:00Z).

created_at_to
string<date-time>

Filter API keys created at or before this ISO 8601 datetime (e.g. 2024-12-31T23:59:59Z).

sort_by
enum<string>

Field to sort API keys by. Currently only created_at is supported.

Available options:
created_at
sort_dir
enum<string>

Sort direction. Defaults to desc.

Available options:
asc,
desc

Response

List of API keys

Wrapper for paginated list responses

data
object[]
required

List of objects returned by the API

meta
object
required

Meta information about the response